Module jdk.compiler
Package com.sun.source.doctree

# Interface StartElementTree

All Superinterfaces:
  `DocTree`

public interface StartElementTree extends DocTree
A tree node for the start of an HTML element.

        < name [attributes] [/]>

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getAttributes()`
Returns any attributes defined by this element.
`Name`
`getName()`
Returns the name of the element.
`boolean`
`isSelfClosing()`
Returns `true` if this is a self-closing element, as indicated by a `"/"` before the closing `">"`.

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getName

Name getName()
Returns the name of the element.

Returns:
  the name

### getAttributes

List<? extends DocTree> getAttributes()
Returns any attributes defined by this element.

Returns:
  the attributes

### isSelfClosing

boolean isSelfClosing()
Returns `true` if this is a self-closing element, as indicated by a `"/"` before the closing `">"`.

Returns:
  `true` if this is a self-closing element